package com.sun.org.apache.xerces.internal.jaxp.validation;

import com.sun.org.apache.xerces.internal.xni.grammars.XMLGrammarPool;

final class XMLSchema extends AbstractXMLSchema
{
    private final XMLGrammarPool fGrammarPool;
    private final boolean fFullyComposed;
    
    public XMLSchema(XMLGrammarPool grammarPool) {
        this(grammarPool, true);
    }
    
    public XMLSchema(XMLGrammarPool grammarPool, boolean fullyComposed) {
        this.fGrammarPool = grammarPool;
        this.fFullyComposed = fullyComposed;
    }
    
    @Override
    public XMLGrammarPool getGrammarPool() {
        return this.fGrammarPool;
    }
    
    @Override
    public boolean isFullyComposed() {
        return this.fFullyComposed;
    }
}
